npm delivers old SearchBuilder version

npm delivers old SearchBuilder version

ItracItrac Posts: 6Questions: 1Answers: 0

Hi DataTables team,

just wanted to let you know that npm is serving an outdated SearchBuilder version when installin 1.2.0. While the package.json in node_modules/datatables.net-searchbuilder shows 1.2.0, the js files contain code for 1.1.0.

The git repo contains 1.1.0 as well instead of 1.2.0.

(btw. is there an ETA when DataTables 1.11.0 is available via npm?)

Greetings

Replies

  • sandysandy Posts: 708Questions: 0Answers: 195

    Hi @Itrac ,

    Something funny is going on there. The code within npm and and the repo you linked is the version 1.2.0 code, but it is labelled within the code as 1.1.0. Not sure why that is but it will be resolved in the next release.

    We are looking at 1.11.0 as I type, I'll update here when it get's released on npm.

    Thanks,
    Sandy

  • sandysandy Posts: 708Questions: 0Answers: 195

    Hi @Itrac ,

    Just to let you know that we have now published 1.11.0 on npm.

    Thanks,
    Sandy

  • ItracItrac Posts: 6Questions: 1Answers: 0

    Hi @Sandy,

    thank you for your fast reply.

    You are right with the git repo, it contains the latest code. But npm seems to contain old code. I confirmed this with downloading SearchBuilder with npm pack datatables.net-searchbuilder, extracting the downloaded datatables.net-searchbuilder-1.2.0.tgz and doing a diff with SearchBuilder from your CDN.
    I don't want to be nitpicking but if anyone can't get SearchBuilder with serverside rendering to work while using npm, this is the reason :) (That's how I stumbled upon this issue.)

    For now I will use the CDN provided version and enjoy SearchBuilder with serverside rendering, which is btw an awesome feature.

    Thank you.

  • sandysandy Posts: 708Questions: 0Answers: 195

    Hi @Itrac ,

    Just to confirm that I can see the issue now. We are looking into it and report back here with an update soon! I've created a bug internally for us to track this (DD-2195 for my reference).

    Thanks,
    Sandy

  • sandysandy Posts: 708Questions: 0Answers: 195

    Hi @Itrac ,

    We've just released version 1.2.1 on npm to resolve this.

    Thanks again for pointing this out,
    Sandy

Sign In or Register to comment.